## opie 2.32-1.1

=== debian/changelog ===
opie (2.32-1.1) frozen; urgency=medium

  * NMU
  * Dependency on libc6 is now calculated using ${shlibs:Depends}.
    This closes: #64740 (RC bug on Alpha).
  * Upload sponsored by Tony Mancill <tmancill@debian.org>

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 30 May 2000 20:09:34 +0200

opie (2.32-1) unstable; urgency=low

  * Initial Release.

 -- Matt Kern <Matt.Kern@pobox.com>  Fri,  7 May 1999 18:44:41 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Matt.Kern@pobox.com"
End:
