=== debian/control ===
Source: opie
Section: admin
Priority: optional
Maintainer: Matt Kern <Matt.Kern@pobox.com>
Standards-Version: 2.5.0.0

Package: opie-client
Architecture: any
Depends: ${shlibs:Depends}
Description: OPIE programs for generating OTPs on client machines
 This package contains the necessary generators to produce one-time
 passwords (OTPs) which allow you to log into systems running OPIE aware
 daemons.
